    import { Zondy } from '../../base'
    import { defaultValue } from '../../util'

    /**
     * 请求配置参数
     * @class RequestConfig
     * @moduleEx ServiceModule
     * @param {Object} options 构造参数
     * @param {Array<Interceptor>} [options.urls = []] 请求拦截和相应拦截器参数
     * */
    class RequestConfig {
      constructor(options) {
        this.interceptors = defaultValue(options.interceptors, [])
      }
    }

    Zondy.Service.RequestConfig = RequestConfig
    export default RequestConfig